using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Dvb.DataBroadcasting;
using skyscraper5.Dvb.DataBroadcasting.IntModel;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Skyscraper.Scraper.StreamAutodetection.Contestants
{
	[SkyscraperPlugin]
	internal class IntContestant : Contestant, IntEventHandler, IDisposable
    {
        public IntContestant(int pid) : base("INT", pid)
        {
            PacketProcessor = new PsiDecoder(pid,new IntParser(this));
        }

        public override void Dispose()
        {
            
        }

        public override void DeclareWinner(SkyscraperContext skyscraperContext, int pid, ProgramContext programContext)
        {
	        throw new NotImplementedException();
        }

        public override void Introduce(ProgramContext programContext)
        {
	        
        }

        public void OnIpMacNotification(int sourcePid, Platform platform, Target target, Operational operational)
        {
            Score++;
        }
    }
}
